<template>
  <v-layout row>
    <v-flex>
      <h1>{{ lt("Log")}}</h1>
      <v-textarea v-model="logText" full-width readonly></v-textarea>
    </v-flex>
  </v-layout>
</template>

<script>
/*  xeslint-disable */

//import lt from "../api/locale";
import store from "../store";
import lt from "../api/locale";
import _ from "../utils/libs/lodash.js";
export default {
  data() {
    return { logText: "" };
  },
  beforeRouteEnter(to, from, next) {
    lt.fetch(["Log"]).then(() => {
      next();
    });
  },
  mounted() {
    var outText = "";
    _.forEach(store.state.logArray, function(value) {
      outText += value + "\n";
    });
    this.logText = outText;
  },
  methods: {
    lt: function(key) {
      return lt.get(key);
    }
  }
};
</script>

<style>
</style>
